Skip to main content
GET
/
opportunity
/
{opportunity_id}
Read one opportunity
curl --request GET \
  --url https://api.reevo.ai/api/v2/public/opportunity/{opportunity_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.reevo.ai/api/v2/public/opportunity/{opportunity_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.reevo.ai/api/v2/public/opportunity/{opportunity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "attributes": {
      "id": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value_type": "uuid"
      },
      "organization_id": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value_type": "uuid"
      },
      "created_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "display_name": {
        "value": "<string>",
        "value_type": "string"
      },
      "stage": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "display_name": "<string>",
          "api_name": "<string>",
          "color": "<string>",
          "closing_probability": "<string>",
          "expected_days": 123
        },
        "value_type": "opportunity_stage"
      },
      "owner_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "account_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "participant_user_id_list": [
        {
          "value": {
            "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "related_record_type": "<string>"
          },
          "value_type": "record_reference"
        }
      ],
      "created_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "updated_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "next_step_details": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "next_step_due_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "next_meeting_date": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "target_go_live_date": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "amount": {
        "value": {
          "amount": "<string>"
        },
        "value_type": "currency"
      },
      "forecast_weighted_amount": {
        "value": {
          "amount": "<string>"
        },
        "value_type": "currency"
      },
      "anticipated_closing_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "closed_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "archived_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "expires_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_activity_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_voice_call": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_meeting": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_global_thread": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_engaged_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outreached_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_inbound_meeting_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_inbound_voice_call_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_inbound_global_thread_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outbound_meeting_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outbound_voice_call_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outbound_global_thread_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "stage_last_shifted_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "owner_team_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "closed_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "primary_contact_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "updated_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "closed_lost_custom_detail": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "closed_won_custom_detail": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "primary_closed_won_reason": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "api_name": "<string>",
          "display_name": "<string>",
          "color": "<string>"
        },
        "value_type": "select"
      },
      "additional_closed_won_reasons": [
        {
          "value": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "api_name": "<string>",
            "display_name": "<string>",
            "color": "<string>"
          },
          "value_type": "select"
        }
      ],
      "primary_closed_lost_reason": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "api_name": "<string>",
          "display_name": "<string>",
          "color": "<string>"
        },
        "value_type": "select"
      },
      "additional_closed_lost_reasons": [
        {
          "value": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "api_name": "<string>",
            "display_name": "<string>",
            "color": "<string>"
          },
          "value_type": "select"
        }
      ],
      "primary_competitor": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "api_name": "<string>",
          "display_name": "<string>",
          "color": "<string>"
        },
        "value_type": "select"
      },
      "competitors_mentioned": [
        {
          "value": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "api_name": "<string>",
            "display_name": "<string>",
            "color": "<string>"
          },
          "value_type": "select"
        }
      ],
      "competitors_mentioned_other": [
        {
          "value": "<string>",
          "value_type": "string"
        }
      ],
      "primary_competitor_other": {
        "value": "<string>",
        "value_type": "string"
      },
      "type": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "select_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "api_name": "<string>",
          "display_name": "<string>",
          "color": "<string>"
        },
        "value_type": "select"
      }
    },
    "record_type": "opportunity"
  }
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}

Authorizations

Authorization
string
header
required

Reevo API key passed as Authorization: Bearer <api-key>.

Path Parameters

opportunity_id
string<uuid>
required

Response

Successful Response

Wrapper around a single OpportunityObjectRecord — GET / POST / PATCH.

data
OpportunityObjectRecord · object
required